<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>
<script LANGUAGE="JavaScript">
				function numerico(e)
				{	var key; 
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					if ((key==null) || (key==0) || (key==8) || (key==9) || (key==27) )
					   return true;
					else if ((("1234567890").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}
				
				function alfanumerico(e)
				{
					var key;
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					// control keys
					if ((key==null) || (key==0) || (key==8) ||
						(key==9) || (key==27) )
					   return true;
				
					// alphas and numbers
					else if ((("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 1234567890áéíóúÁÉÍÓÚüÜñÑ").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}			
		</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
			$documento=$_GET["documento"] or $documento=$_POST["documento"];
			$etiqueta=$_GET["etiqueta"] or $etiqueta=$_POST["etiqueta"];
			$idtarea=$_GET["IdTarea"] or $idtarea=$_POST["IdTarea"];
			$sku=$_GET["sku"] or $sku=$_POST["sku"];

				
			///Identificar datos del Documento de Surtido
			$sql_VG1 = mysql_query("select TIPO_EXTRACCION,PEDIMENTO_EXTRACCION,TIPO_SALIDA,TIPO_SURTIDO from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$documento'");
			if (mysql_numrows($sql_VG1)==0) echo "";
			else{
			$registro_VG1=mysql_fetch_array($sql_VG1);
			}
			if (mysql_numrows($sql_VG1)>0)
			{
			$TipExt_VG1=$registro_VG1["TIPO_EXTRACCION"];
			$PedExt_VG1=$registro_VG1["PEDIMENTO_EXTRACCION"];
			$TipSal_VG1=$registro_VG1["TIPO_SALIDA"];
			$TipSur_VG1=$registro_VG1["TIPO_SURTIDO"];
			}
			
			///Identificar datos del Catalogo de Articulos
			$sql_VG2 = mysql_query("select DESCRIPCION from tabla_altaproducto where SKU='$sku' AND CUENTA='$CveCueCR1'");
			if (mysql_numrows($sql_VG2)==0) echo "";
			else{
			$registro_VG2=mysql_fetch_array($sql_VG2);
			}
			if (mysql_numrows($sql_VG2)>0)
			{
			$Desc_VG2=$registro_VG2["DESCRIPCION"];
			}
			
			///Identificar datos del Pasillo Surtido
			$sql_VG3 = mysql_query("select TIPO_RESURTIDO,MAXIMO from tabla_pickingfijo where SKU='$sku' AND CVE_CUENTA='$CveCueCR1'");
			if (mysql_numrows($sql_VG3)==0) echo "";
			else{
			$registro_VG3=mysql_fetch_array($sql_VG3);
			}
			if (mysql_numrows($sql_VG3)>0)
			{
			$TipRes_VG3=$registro_VG3["TIPO_RESURTIDO"];
			$Maximo_VG3=$registro_VG3["MAXIMO"];
			}

			///Fecha y Hora
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			///Insertar el registro de la solicitud del Reabasto
			$sql_GSR = "insert into tabla_resurtidopicking_temporal (CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,ESTADO_ORDEN,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,CANTIDAD_X_TRABAJAR,CANTIDAD_APARTADA,CANTIDAD_TRASLADADA,CANTIDAD_TRABAJADA,OBSERVACIONES,ESTADO_LINEA,USUARIO,FECHA,HORA)
			values('$CveBodCR1','$CveCueCR1','$documento','CREADA','$PedExt_VG1','$TipExt_VG1','$sku','$Desc_VG2','$Maximo_VG3','0','0','0','Resurtido','PENDIENTE','$UsuEn','$Fecha','$HoraOK')";
			$resultado_GSR=mysql_query($sql_GSR,$conexion) or die(mysql_error());

?>
<div data-role="header">
		<h1>|| LOGSYS - WMS ||</h1>
</div>
<div data-role="content" align="center">
<!-- Inicia Cuerpo de la Pantalla -->
<?PHP

///Arrastrando Valores
$OrdenTrabajoEn = $documento;
///$OrdenTrabajoEn="980";

///Barrer toda la Orden de Trabajo
$sql_W1=mysql_query("Select * from tabla_resurtidopicking_temporal where NO_DOCUMENTO='$OrdenTrabajoEn' AND SKU='$sku' AND CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' AND ESTADO_ORDEN='CREADA' Order By ID ASC Limit 0,1");
while($res_W1=mysql_fetch_array($sql_W1))
{///Inicia While 01
$PedSol_w1 = $res_W1['PEDIMENTO_SOLICITADO'];
$TipExt_w1 = $res_W1['TIPO_EXTRACCION'];
$CodSku_w1 = $res_W1['SKU'];
$CanTra_w1 = $res_W1['CANTIDAD_X_TRABAJAR'];
$IdBaDa_w1 = $res_W1['ID'];	

///echo "Barrido del Codigo: ".$CodSku_w1."<Br>";

	///Barrer Stock y Asignar Pallets por Cambio de Calidad
	$sql_W2=mysql_query("Select * from tabla_inventario where SKU='$CodSku_w1' AND CVE_CUENTA='$CveCueCR1' AND TIPO_ALMACEN='$TipExt_w1' AND LOTEPRODU='$PedSol_w1' AND EDO_CALIDAD='$TipSal_VG1' AND CANTIDAD>'0' AND TIPO_UBICACION<>'PICKING' Order By FECHA_ENTRADA ASC");
	while($res_W2=mysql_fetch_array($sql_W2))
	{///Inicia While 02
	$NumId_w2 = $res_W2['ID'];
	$Canti_w2 = $res_W2['CANTIDAD'];
	$NoPal_w2 = $res_W2['NO_PALLET'];
	$Ubica_w2 = $res_W2['UBICACION'];
	$LoPro_w2 = $res_W2['LOTEPRODU'];
	
	
	////Identificar el total de piezas con tareas ya Registradas	
		$sqlSUMA = "Select SUM(CANT_XTAREA) as ObtCant FROM tabla_resurtidopicking_tareas WHERE NO_DOCUMENTO='$OrdenTrabajoEn' AND CVE_CUENTA='$CveCueCR1' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotApartada =  $PrePiezas ['ObtCant'];
		

				
		
		if ($TotApartada == "0" or $TotApartada == "")
		{
			///$CantGenApartada = $TotApartada;
			$CantGenApartada = "0";
			///echo "Entra igual a 0"; -- Alert
		}
		else
		{
			$CantGenApartada = $TotApartada + $Canti_w2;
		}
							
		///Detectar si ya se aparto la cantidad suficiente - Todo por Estado de Calidad
		///if ($CantGenApartada <= $CanTra_w1)
		if ($CantGenApartada < $CanTra_w1)
		{///Inicia If Validador de Cantidades 01

		///Cantidad General Apartada
			$CantGenApartada = $TotApartada + $Canti_w2;
		
			///Cambiar pallet de estado de Calidad, Guardar Kardex, y Guardar cantidad apartada e Orden de Trabajo
			
				/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE SKU='$CodSku_w1' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPal_w2' AND ID='$NumId_w2'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						$IdBasDa_RC2=$registroDU2["ID"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$Complem_RC2=$registroDU2["NO_DOC_COMPLE"];
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CDescr=$registroDU2["DESCRIPCION"];
						$CCanti=$registroDU2["CANTIDAD"];
						$ValLote_RC2=$registroDU2["LOTE"];
						$LoteWms_RC2=$registroDU2["LOTEWMS"];
						$Caducid_RC2=$registroDU2["CADUCIDAD"];
						$Factura_RC2=$registroDU2["FACTURA"];
						$Proveed_RC2=$registroDU2["PROVEEDOR"];
						$PzaxCaj_RC2=$registroDU2["PIEZASXCAJA"];
						$CajxPal_RC2=$registroDU2["CAJASXPALLET"];
						$NoPalle_RC2=$registroDU2["NO_PALLET"];
						$CUbicaActu=$registroDU2["UBICACION"];
						$Priorid_RC2=$registroDU2["PRIORIDAD"];
						$TipUbic_RC2=$registroDU2["TIPO_UBICACION"];
						$CEdoCali=$registroDU2["EDO_CALIDAD"];	
				
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];

					}
			
////¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia Algoritmo de la Sección 2 ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?////
			
			///if ($CantGenApartada > $CanTra_w1 AND $CuentaRegistro_CON = "")
			if ($CantGenApartada > $CanTra_w1)
			{///Inicia If 200
				
				///Inicia proceso donde se hace una división de pallet solo por las piezas solicitadas originalmente
				///echo "Entra a lo nuevo!!!"; - alert
				
				$Restante = $CanTra_w1;
				
				///Identificar el prefijo configurado para la creación de pallets
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
				///Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($NoPalle_RC2, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$CNoDoc','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
				
				///Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					///Guardar el Nuevo Pallet en la Tabla de Inventario
					$ArmadoDivision="1 pallet de ".$Restante." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
				///Guarda Registro Nuevo en el Inventario
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        			values('$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$CNoDoc','$Complem_RC2','$CSku','$CSkuAlt','$CDescr','$FechaEnt','$Restante','$ValLote_RC2','$LoteWms_RC2','$LoPro_w2','$Caducid_RC2','$Factura_RC2','$Proveed_RC2','$PzaxCaj_RC2','$CajxPal_RC2','$ArmadoDivision','$ClavePallet','$CUbicaActu','$Priorid_RC2','$TipUbic_RC2','RP','$UsuEn','$HoraOK2','$FechaEnt','$TipExt_w1')";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
				
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					
				///Generador de Folio para Guardar el kardex (Registro a MENOS)
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
				/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$NoPal_w2','-$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$ClavePallet','$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
				
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
			///Buscar el prefijo de la Tarea de Resurtido
				$sql_PTR = mysql_query("select PREFIJO from wms_configura_tarearesurtido where CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_PTR)==0) echo "";
				else{
				$registro_PTR=mysql_fetch_array($sql_PTR);
				}
				if (mysql_numrows($sql_PTR)>0)
				{
					$Pref_TR=$registro_PTR["PREFIJO"];
				}
				
			///Inicia Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
	
					$FechaCalTarea=date("Ymd");
			
					$sql_GTOT = "select max(IDINCRE) as ultimo_GTOT from tabla_consetarea_resurtidopicking WHERE FECHA='$FechaCalTarea'"; 
					$lib_GTOT = mysql_query($sql_GTOT); 
					$rs_lib_GTOT = mysql_fetch_assoc($lib_GTOT); 
					$id_nuevo_GTOT = $rs_lib_GTOT['ultimo_GTOT'] + 1;
					
					if ($id_nuevo_GTOT <=9)
					{
					$IdenCerosOT="0000";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=10 and $id_nuevo_GTOT <=99)
					{
					$IdenCerosOT="000";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=100 and $id_nuevo_GTOT <=999)
					{
					$IdenCerosOT="00";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
					
					if ($id_nuevo_GTOT >=1000 and $id_nuevo_GTOT <=9999)
					{
					$IdenCerosOT="0";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
										
					if ($id_nuevo_GTOT >=10000)
					{
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$id_nuevo_GTOT;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sql_GTOT2 = "select max(ID) as ultimo_GTOT2 from tabla_consetarea_resurtidopicking"; 
					$lib_GTOT2 = mysql_query($sql_GTOT2); 
					$rs_lib_GTOT2 = mysql_fetch_assoc($lib_GTOT2); 
					$id_nuevo_GTOT2 = $rs_lib_GTOT2['ultimo_GTOT2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sql_GTOT3 = "insert tabla_consetarea_resurtidopicking (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE_RP,FECHA)
        			values('$id_nuevo_GTOT2','$CveBodCR1','$CveCueCR1','$id_nuevo_GTOT','$ClaveTareaOT','$FechaCalTarea')";
					$resultado_GTOT3=mysql_query($sql_GTOT3,$conexion) or die(mysql_error());
	
			///Termina Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
				
				///Generador de Folio concecutivo en la tabla tabla_resurtidopicking_tareas ///
					$sql_CT = "select max(ID) as ultimo_FOLIO_CT from tabla_resurtidopicking_tareas"; 
					$lib_CT = mysql_query($sql_CT); 
					$rs_lib_CT = mysql_fetch_assoc($lib_CT); 
					$id_nuevo_CT = $rs_lib_CT['ultimo_FOLIO_CT'] + 1;

				///Guardar la Tarea de Traslado en la tabla extra_tareas_ordentrabajo
					$sql_CT = "insert into tabla_resurtidopicking_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,NO_PALLET_NUEVO,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,REPOSICION,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION_ORIGEN,PRIORIDAD_ORIGEN,UBICACION_DESTINO,PRIORIDAD_DESTINO,OBSERVACIONES)
        			values('$id_nuevo_CT','$CveBodCR1','$CveCueCR1','$ClaveTareaOT','$OrdenTrabajoEn','$NoPal_w2','$ClavePallet','$LoPro_w2','$TipExt_w1','$CSku','$CDescr','$TipRes_VG3','$CanTra_w1','$Restante','0','PENDIENTE','$UsuEn','$Fecha','$HoraOK','NULL','NULL','NULL','$Ubica_w2','$Priorid_RC2','NULL','NULL','NULL')";
			
					$resultado_CT=mysql_query($sql_CT,$conexion) or die(mysql_error());
				
				///Guarda la División del Pallet Original, le resta las piezas
					$sqlC1 = mysql_query("select CANTIDAD from tabla_inventario where SKU='$CSku' AND CVE_CUENTA='$CveCueCR1' AND LOTEPRODU='$LoPro_w2' AND NO_PALLET='$NoPal_w2'");
					if (mysql_numrows($sqlC1)==0) echo "";
					else{
						$registroC1=mysql_fetch_array($sqlC1);
					}
					if (mysql_numrows($sqlC1)>0)
					{
						$CCanti_Recal=$registroC1["CANTIDAD"];
						$CCanti_FinOk = round($CCanti_Recal, 0);
					}
			
				///Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$CanSobPallOri = $CCanti_FinOk - $Restante;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
			
					$sql_GDPO="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE SKU='$CSku' AND CVE_CUENTA='$CveCueCR1' AND LOTEPRODU='$LoPro_w2' AND UBICACION='$Ubica_w2' AND TIPO_ALMACEN='$TipExt_w1' AND NO_PALLET='$NoPal_w2'";
					$resultado_GDPO=mysql_query($sql_GDPO,$conexion) or die(mysql_error());
				
				///echo "Termina a lo nuevo!!!'"; - alert
				
			}///Termina If 200
			else
			{///Inicia Else 200

////¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Termina Algoritmo de la Sección 2 ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?////
					
					///Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
						////""""""" Generar el Registro a menos dentro del Kardex """"""""////
						
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
		
							    ///////Variables Fijas////////////
								$NMovimiento="CALIDAD RP - ".$CEdoCali;
								$NMovimientoMAS="CALIDAD RP + RP";
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        						values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimiento','$CUbicaActu','$NoPal_w2','$CCantiMEN','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN,$conexion) or die(mysql_error());
								
								
						////""""""" Generar el Registro a mas dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
								$libK2 = mysql_query($sqlIDK2); 
								$rs_libK2 = mysql_fetch_assoc($libK2); 
								$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;
			
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        						values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimientoMAS','$CUbicaActu','$NoPal_w2','$CCantiMAS','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS,$conexion) or die(mysql_error());
								
								//////Guardar el Cabio de Calidad en la BD - Modifica la Table Inventario//////////
								$sqlMI="UPDATE tabla_inventario SET EDO_CALIDAD='RP' WHERE NO_PALLET='$NoPal_w2' AND CVE_CUENTA='$CveCueCR1' AND ID='$NumId_w2'";
								$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
								
///*************************************************************************************************************************	

			/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
				///Buscar el prefijo de la Tarea de Resurtido
				$sql_PTR = mysql_query("select PREFIJO from wms_configura_tarearesurtido where CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_PTR)==0) echo "";
				else{
				$registro_PTR=mysql_fetch_array($sql_PTR);
				}
				if (mysql_numrows($sql_PTR)>0)
				{
					$Pref_TR=$registro_PTR["PREFIJO"];
				}
				
				///Inicia Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
	
					$FechaCalTarea=date("Ymd");
			
					$sql_GTOT = "select max(IDINCRE) as ultimo_GTOT from tabla_consetarea_resurtidopicking WHERE FECHA='$FechaCalTarea'"; 
					$lib_GTOT = mysql_query($sql_GTOT); 
					$rs_lib_GTOT = mysql_fetch_assoc($lib_GTOT); 
					$id_nuevo_GTOT = $rs_lib_GTOT['ultimo_GTOT'] + 1;
					
					if ($id_nuevo_GTOT <=9)
					{
					$IdenCerosOT="0000";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=10 and $id_nuevo_GTOT <=99)
					{
					$IdenCerosOT="000";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=100 and $id_nuevo_GTOT <=999)
					{
					$IdenCerosOT="00";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
					
					if ($id_nuevo_GTOT >=1000 and $id_nuevo_GTOT <=9999)
					{
					$IdenCerosOT="0";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
										
					if ($id_nuevo_GTOT >=10000)
					{
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$id_nuevo_GTOT;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sql_GTOT2 = "select max(ID) as ultimo_GTOT2 from tabla_consetarea_resurtidopicking"; 
					$lib_GTOT2 = mysql_query($sql_GTOT2); 
					$rs_lib_GTOT2 = mysql_fetch_assoc($lib_GTOT2); 
					$id_nuevo_GTOT2 = $rs_lib_GTOT2['ultimo_GTOT2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sql_GTOT3 = "insert tabla_consetarea_resurtidopicking (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE_RP,FECHA)
        			values('$id_nuevo_GTOT2','$CveBodCR1','$CveCueCR1','$id_nuevo_GTOT','$ClaveTareaOT','$FechaCalTarea')";
					$resultado_GTOT3=mysql_query($sql_GTOT3,$conexion) or die(mysql_error());
	
			///Termina Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
								
								///Generador de Folio concecutivo en la tabla extra_tareas_ordentrabajo ///
								$sql_CT = "select max(ID) as ultimo_FOLIO_CT from tabla_resurtidopicking_tareas"; 
								$lib_CT = mysql_query($sql_CT); 
								$rs_lib_CT = mysql_fetch_assoc($lib_CT); 
								$id_nuevo_CT = $rs_lib_CT['ultimo_FOLIO_CT'] + 1;

								///Guardar la Tarea de Traslado en la tabla extra_tareas_ordentrabajo
								$sql_CT = "insert into tabla_resurtidopicking_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,NO_PALLET_NUEVO,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,REPOSICION,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION_ORIGEN,PRIORIDAD_ORIGEN,UBICACION_DESTINO,PRIORIDAD_DESTINO,OBSERVACIONES)
        						values('$id_nuevo_CT','$CveBodCR1','$CveCueCR1','$ClaveTareaOT','$OrdenTrabajoEn','$NoPal_w2','$NoPal_w2','$LoPro_w2','$TipExt_w1','$CSku','$CDescr','$TipRes_VG3','$CanTra_w1','$Canti_w2','0','PENDIENTE','$UsuEn','$Fecha','$HoraOK','NULL','NULL','NULL','$Ubica_w2','$Priorid_RC2','NULL','NULL','NULL')";
			
								$resultado_CT=mysql_query($sql_CT,$conexion) or die(mysql_error());
								
								///echo $NumId_w2." | ".$CodSku_w1." | ".$Canti_w2." | ".$NoPal_w2." | ".$Ubica_w2." | ".$LoPro_w2."<Br>";
				
				}///Termina Else 200
											
		}///Termina If Validador de Cantidades 01
		else
		{///Inicia Else Validador de Cantidades 01
			
			///echo "Inicia a lo anterior Restantes!!!"; - alert
			
			///Me parece que aqui debe de ir el proceso que calcule el resto Faltante
			$Restante = $CanTra_w1 - $TotApartada;
			///echo "Aun nos faltan ".$Restante." piezas";
			
			///Identificar el prefijo configurado para la creación de pallets
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					///Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($NoPalle_RC2, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					///Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					///Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$CNoDoc','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
			
			///Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					///Guardar el Nuevo Pallet en la Tabla de Inventario
					$ArmadoDivision="1 pallet de ".$Restante." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        			values('$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$CNoDoc','$Complem_RC2','$CSku','$CSkuAlt','$CDescr','$FechaEnt','$Restante','$ValLote_RC2','$LoteWms_RC2','$LoPro_w2','$Caducid_RC2','$Factura_RC2','$Proveed_RC2','$PzaxCaj_RC2','$CajxPal_RC2','$ArmadoDivision','$ClavePallet','$CUbicaActu','$Priorid_RC2','$TipUbic_RC2','RP','$UsuEn','$HoraOK2','$FechaEnt','$TipExt_w1')";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
	
	///*************************************************************************************************************************
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					
					///Generador de Folio para Guardar el kardex (Registro a MENOS)
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$NoPal_w2','-$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','DIVISION','$CUbicaActu','$ClavePallet','$Restante','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
			
	///*************************************************************************************************************************
			
			/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
			///Buscar el prefijo de la Tarea de Resurtido
				$sql_PTR = mysql_query("select PREFIJO from wms_configura_tarearesurtido where CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_PTR)==0) echo "";
				else{
				$registro_PTR=mysql_fetch_array($sql_PTR);
				}
				if (mysql_numrows($sql_PTR)>0)
				{
					$Pref_TR=$registro_PTR["PREFIJO"];
				}
			
				///Inicia Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
	
					$FechaCalTarea=date("Ymd");
			
					$sql_GTOT = "select max(IDINCRE) as ultimo_GTOT from tabla_consetarea_resurtidopicking WHERE FECHA='$FechaCalTarea'"; 
					$lib_GTOT = mysql_query($sql_GTOT); 
					$rs_lib_GTOT = mysql_fetch_assoc($lib_GTOT); 
					$id_nuevo_GTOT = $rs_lib_GTOT['ultimo_GTOT'] + 1;
					
					if ($id_nuevo_GTOT <=9)
					{
					$IdenCerosOT="0000";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=10 and $id_nuevo_GTOT <=99)
					{
					$IdenCerosOT="000";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
				
					if ($id_nuevo_GTOT >=100 and $id_nuevo_GTOT <=999)
					{
					$IdenCerosOT="00";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
					
					if ($id_nuevo_GTOT >=1000 and $id_nuevo_GTOT <=9999)
					{
					$IdenCerosOT="0";
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$IdenCerosOT.$id_nuevo_GTOT;
					}
										
					if ($id_nuevo_GTOT >=10000)
					{
					$ClaveTareaOT=$Pref_TR.$FechaCalTarea.$id_nuevo_GTOT;
					}
					
				///Generador de Folio para guardar el consecutivo del Pallet
					$sql_GTOT2 = "select max(ID) as ultimo_GTOT2 from tabla_consetarea_resurtidopicking"; 
					$lib_GTOT2 = mysql_query($sql_GTOT2); 
					$rs_lib_GTOT2 = mysql_fetch_assoc($lib_GTOT2); 
					$id_nuevo_GTOT2 = $rs_lib_GTOT2['ultimo_GTOT2'] + 1;
									
				///Guardar en la BD el consecutivo del No. de Pallet
					$sql_GTOT3 = "insert tabla_consetarea_resurtidopicking (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE_RP,FECHA)
        			values('$id_nuevo_GTOT2','$CveBodCR1','$CveCueCR1','$id_nuevo_GTOT','$ClaveTareaOT','$FechaCalTarea')";
					$resultado_GTOT3=mysql_query($sql_GTOT3,$conexion) or die(mysql_error());
	
			///Termina Generador de Folio para las Tareas de Ordenes de Trabajo (Maquila)///
		/// /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\ ///
			
			///Generador de Folio concecutivo en la tabla tabla_resurtidopicking_tareas ///
					$sql_CT = "select max(ID) as ultimo_FOLIO_CT from tabla_resurtidopicking_tareas"; 
					$lib_CT = mysql_query($sql_CT); 
					$rs_lib_CT = mysql_fetch_assoc($lib_CT); 
					$id_nuevo_CT = $rs_lib_CT['ultimo_FOLIO_CT'] + 1;
			
			///Guardar la Tarea de Traslado en la tabla tabla_resurtidopicking_tareas
				$sql_CT = "insert into tabla_resurtidopicking_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,NO_PALLET_NUEVO,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,REPOSICION,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION_ORIGEN,PRIORIDAD_ORIGEN,UBICACION_DESTINO,PRIORIDAD_DESTINO,OBSERVACIONES)
        		values('$id_nuevo_CT','$CveBodCR1','$CveCueCR1','$ClaveTareaOT','$OrdenTrabajoEn','$NoPal_w2','$ClavePallet','$LoPro_w2','$TipExt_w1','$CSku','$CDescr','$TipRes_VG3','$CanTra_w1','$Restante','0','PENDIENTE','$UsuEn','$Fecha','$HoraOK','NULL','NULL','NULL','$Ubica_w2','$Priorid_RC2','NULL','NULL','NULL')";
			
				$resultado_CT=mysql_query($sql_CT,$conexion) or die(mysql_error());
			
	///*************************************************************************************************************************
			
			$sqlC1 = mysql_query("select CANTIDAD from tabla_inventario where SKU='$CSku' AND CVE_CUENTA='$CveCueCR1' AND LOTEPRODU='$LoPro_w2' AND NO_PALLET='$NoPal_w2'");
			if (mysql_numrows($sqlC1)==0) echo "";
			else{
				$registroC1=mysql_fetch_array($sqlC1);
			}
			if (mysql_numrows($sqlC1)>0)
			{
				$CCanti_Recal=$registroC1["CANTIDAD"];
				$CCanti_FinOk = round($CCanti_Recal, 0);
			}
			
			///Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
				$CanSobPallOri = $CCanti_FinOk - $Restante;
				$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
			
				$sql_GDPO="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE SKU='$CSku' AND CVE_CUENTA='$CveCueCR1' AND LOTEPRODU='$LoPro_w2' AND UBICACION='$Ubica_w2' AND TIPO_ALMACEN='$TipExt_w1' AND NO_PALLET='$NoPal_w2'";
				$resultado_GDPO=mysql_query($sql_GDPO,$conexion) or die(mysql_error());
			
			///echo "Termina a lo anterior Restantes!!!"; - alert
			
			///break;
		}///Termina Else Validador de Cantidades 01
	
			///Inicia Sacar del while SI y solo SI se completo la totalidad de lo solicitado		
				$sqlSUMA2 = "Select SUM(CANT_XTAREA) as ObtCant2 FROM tabla_resurtidopicking_tareas WHERE SKU='$CodSku_w1' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1'";
				$resSUMA2 = mysql_query($sqlSUMA2); 
				$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
				$TotApartada2 =  $PrePiezas2 ['ObtCant2'];
		
				$TotApartada2_Fin = round($TotApartada2, 0);
		
				if ($TotApartada2_Fin == $CanTra_w1)
				{
					break;
				}
			///Termina Sacar del while SI y solo SI se completo la totalidad de lo solicitado	
		
		///Limpiando Variables del While 01

	
	}///Termina While 02

///#############
	
	////Identificar el total de piezas apartadas dentro de las Tareas Generadas
		$sql_TPar = "Select SUM(CANT_XTAREA) as ObtCant_TPar FROM tabla_resurtidopicking_tareas WHERE SKU='$CodSku_w1' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1'";
		$res_TPar = mysql_query($sql_TPar); 
		$Pre_TPar = mysql_fetch_assoc($res_TPar);
		$TotApartada_TPar =  $Pre_TPar ['ObtCant_TPar'];
		$TotApartada_TPar_Fin = round($TotApartada_TPar, 0);
	
	//////Modificar la cantidad apartada dentro de la Orden de Trabajo como "CANTIDAD_APARTADA "
		$sqlMI="UPDATE tabla_resurtidopicking_temporal SET CANTIDAD_APARTADA ='$TotApartada_TPar_Fin' WHERE SKU='$CodSku_w1' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ID='$IdBaDa_w1'";
		$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
	
///#############
	
	///Modificar el Estado General de la Linea de Cabecera
		$sql_MEG="UPDATE tabla_resurtidopicking_temporal SET ESTADO_ORDEN='CERRADA',ESTADO_LINEA='GENERADA' WHERE SKU='$CodSku_w1' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ID='$IdBaDa_w1'";
		$resultado_MEG=mysql_query($sql_MEG,$conexion) or die(mysql_error());
	
	///Limpiando Variables del While 01
		$PedSol_w1  = "";
		$TipExt_w1 = "";
		$CodSku_w1  = "";
		$CanTra_w1  = "";
		$TotApartada_TPar_Fin = "";
		$IdBaDa_w1 = "";

}///Termina While 01
			

///Proceso complementario de corrección de Ubicaciones en la División
$sql_W2=mysql_query("Select * from tabla_resurtidopicking_tareas where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' Order By ID ASC");
while($res_W2=mysql_fetch_array($sql_W2))
{///Inicia While 02
	$ConsecID_w2 = $res_W2['ID'];
	$PallOrig_w2 = $res_W2['NO_PALLET'];
	$PallNuev_w2 = $res_W2['NO_PALLET_NUEVO'];
	$CodigSku_w2 = $res_W2['SKU'];
	$NumTarea_w2 = $res_W2['NO_TAREA'];
	
	///Consultar la ubicación Destino dentro del Pasillo Surtido
			$sql_UPS = mysql_query("select CLAVEUBICACION,PRIORIDAD from tabla_pickingfijo where SKU='$CodigSku_w2' AND CVE_CUENTA='$CveCueCR1'");
			if (mysql_numrows($sql_UPS)==0) echo "";
			else{
			$registro_UPS=mysql_fetch_array($sql_UPS);
			}
			if (mysql_numrows($sql_UPS)>0)
			{
				$Ubica_UPS=$registro_UPS["CLAVEUBICACION"];
				$Prior_UPS=$registro_UPS["PRIORIDAD"];
			}
	
	///Asignar la Ubicacion y Prioridad de Destino
				$sql_UPD="UPDATE tabla_resurtidopicking_tareas SET UBICACION_DESTINO='$Ubica_UPS',PRIORIDAD_DESTINO='$Prior_UPS' Where SKU='$CodigSku_w2' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' AND ID='$ConsecID_w2' AND NO_PALLET_NUEVO='$PallNuev_w2' AND NO_TAREA='$NumTarea_w2'";
				$resultado_UPD=mysql_query($sql_UPD,$conexion) or die(mysql_error());
	
	///Identificar, si hay diferencia hacer la modificaciones pertinentes
	if ($PallOrig_w2<>$PallNuev_w2)
		{ ///Inicia If Especial 01
		
			///Consultar la ubicación y prioridad del pallet Original
			$sql_CPO = mysql_query("select UBICACION,PRIORIDAD from tabla_inventario where SKU='$CodigSku_w2' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PallOrig_w2'");
			if (mysql_numrows($sql_CPO)==0) echo "";
			else{
			$registro_CPO=mysql_fetch_array($sql_CPO);
			}
			if (mysql_numrows($sql_CPO)>0)
			{
				$Ubica_CPO=$registro_CPO["UBICACION"];
				$Prior_CPO=$registro_CPO["PRIORIDAD"];
			}
		
		    ///Modificar Ubicación y Prioridad en Tareas de Ordenes de Trabajo
				$sql_Up1="UPDATE tabla_resurtidopicking_tareas SET UBICACION_ORIGEN='$Ubica_CPO',PRIORIDAD_ORIGEN='$Prior_CPO' Where SKU='$CodigSku_w2' AND CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$OrdenTrabajoEn' AND ID='$ConsecID_w2' AND NO_PALLET_NUEVO='$PallNuev_w2' AND NO_TAREA='$NumTarea_w2'";
				$resultado_Up1=mysql_query($sql_Up1,$conexion) or die(mysql_error());
		
			///Modificar Ubicación y Prioridad en Inventario
				$sql_Up2="UPDATE tabla_inventario SET UBICACION='$Ubica_CPO',PRIORIDAD='$Prior_CPO' Where SKU='$CodigSku_w2' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PallNuev_w2'";
				$resultado_Up2=mysql_query($sql_Up2,$conexion) or die(mysql_error());
		
			///Modificar Ubicación en Kardex
				$sql_Up3="UPDATE tabla_kardex SET CLAVEUBICACION='$Ubica_CPO' Where SKU='$CodigSku_w2' AND CVE_CUENTA='$CveCueCR1' AND PALLET='$PallNuev_w2' AND MOVIMIENTO='DIVISION'";
				$resultado_Up3=mysql_query($sql_Up3,$conexion) or die(mysql_error());
			
		} ///Termina if especial 01
	
}///Termina While 02	

		///Confirmación y Redireccionamientos
		echo "<script>alert('FIN!!!');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-ResurtidoPicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&sku=$sku&NoTareaSurt=$idtarea'>";

			
?>	
<!-- Termina Cuerpo de la Pantalla -->
</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<?php
				
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
